<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RequestHotelsAvail StructType
 * @subpackage Structs
 */
class JP_RequestHotelsAvail extends AbstractStructBase
{
    /**
     * The SearchSegmentsHotels
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SearchSegmentsHotels
     */
    public $SearchSegmentsHotels;
    /**
     * The RelPaxesDist
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_HotelRelPaxDist
     */
    public $RelPaxesDist;
    /**
     * The Rebook
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Rebook
     */
    public $Rebook;
    /**
     * Constructor method for JP_RequestHotelsAvail
     * @uses JP_RequestHotelsAvail::setSearchSegmentsHotels()
     * @uses JP_RequestHotelsAvail::setRelPaxesDist()
     * @uses JP_RequestHotelsAvail::setRebook()
     * @param \StructType\JP_SearchSegmentsHotels $searchSegmentsHotels
     * @param \ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist
     * @param \StructType\JP_Rebook $rebook
     */
    public function __construct(\StructType\JP_SearchSegmentsHotels $searchSegmentsHotels = null, \ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist = null, \StructType\JP_Rebook $rebook = null)
    {
        $this
            ->setSearchSegmentsHotels($searchSegmentsHotels)
            ->setRelPaxesDist($relPaxesDist)
            ->setRebook($rebook);
    }
    /**
     * Get SearchSegmentsHotels value
     * @return \StructType\JP_SearchSegmentsHotels|null
     */
    public function getSearchSegmentsHotels()
    {
        return $this->SearchSegmentsHotels;
    }
    /**
     * Set SearchSegmentsHotels value
     * @param \StructType\JP_SearchSegmentsHotels $searchSegmentsHotels
     * @return \StructType\JP_RequestHotelsAvail
     */
    public function setSearchSegmentsHotels(\StructType\JP_SearchSegmentsHotels $searchSegmentsHotels = null)
    {
        $this->SearchSegmentsHotels = $searchSegmentsHotels;
        return $this;
    }
    /**
     * Get RelPaxesDist value
     * @return \ArrayType\ArrayOfJP_HotelRelPaxDist|null
     */
    public function getRelPaxesDist()
    {
        return $this->RelPaxesDist;
    }
    /**
     * Set RelPaxesDist value
     * @param \ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist
     * @return \StructType\JP_RequestHotelsAvail
     */
    public function setRelPaxesDist(\ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist = null)
    {
        $this->RelPaxesDist = $relPaxesDist;
        return $this;
    }
    /**
     * Get Rebook value
     * @return \StructType\JP_Rebook|null
     */
    public function getRebook()
    {
        return $this->Rebook;
    }
    /**
     * Set Rebook value
     * @param \StructType\JP_Rebook $rebook
     * @return \StructType\JP_RequestHotelsAvail
     */
    public function setRebook(\StructType\JP_Rebook $rebook = null)
    {
        $this->Rebook = $rebook;
        return $this;
    }
}
